
;prints 1/3 octave frequencies using a base 2 method of calculation

<CsoundSynthesizer>
<CsOptions>

csound -s -d -m0 -odevaudio -b800 -B800 

</CsOptions>
<CsInstruments>

sr	=	44100
kr	=	441
ksmps	=	100
nchnls  =       2

	instr	2002	
kctr = 0
kfreq = 20
start:
if (kctr > 30) kgoto contin
kband = kfreq * (exp(log(2.0) * (kctr)/3.0))
kctr = kctr+1
printf "Band %d = %5.4f \n", kctr, kctr, kband
kgoto start
contin:
turnoff
 	endin


</CsInstruments>
<CsScore>
; One period of a sine wave
f 1	0	8192	10	1
 
i 2002	0	1  

e


</CsScore>
</CsoundSynthesizer>
